--- title: "Get the Gateway Anti-Malware Updating Configuration for Sensor" slug: "get-the-gateway-anti-malware-updating-configuration-for-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-the-gateway-anti-malware-updating-configuration-for-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Gateway Anti-Malware Updating Configuration for Sensor This URL retrieves the Gateway Anti-Malware updating configuration for Sensor. ### Resource URL GET /sensor//gamupdatesettings ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | | `enableAutoUpdate` | Enable automatic update of Gateway Anti-Malware | Boolean | | `updateInterval` | Time interval of next update | String | | `lastUpdate` | Last update on the Sensor | String | | `GAM_DAT_VERSION` | Version: Latest and active version of Gateway Anti-Malware DAT on Sensor | Object | | `GAM_ENGINE_VERSION` | Version: Latest and active version of Gateway Anti-Malware engine on Sensor | Object | | `AV_DAT_VERSION` | Version: Latest and active version of AV DAT on Sensor | Object | | `ANTI_MALWARE_ENGINE_VERSION` | Version: Latest and active version of Anti-Malware engine on Sensor | Object | Details of Version: | Field Name | Description | Data Type | | --- | --- | --- | | `activeVersion` | Active version on the Sensor | String | | `latestVersion` | Latest version available | String | ### Example **Request** GET [https:///sdkapi/sensor/1001/gamupdatesettings](https://<NSM_IP>/sdkapi/sensor/1001/gamupdatesettings) **Response** ``` {       "inheritSettings": false,       "enableAutoUpdate": false,       "updateInterval": "6.0 hrs",       "lastUpdate": "Sat Jan 17 14:34:39 IST 1970",       "GAM_DAT_VERSION":       {           "activeVersion": "3177",           "latestVersion": "3185"       },       "GAM_ENGINE_VERSION":       {           "activeVersion": "7001.1302.1842 ",           "latestVersion": "7001.1302.1842"       },       "AV_DAT_VERSION":       {           "activeVersion": "7607",           "latestVersion": "7611"       },       "ANTI_MALWARE_ENGINE_VERSION":       {           "activeVersion": "5600",           "latestVersion": "5600"       }    } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive | | 3 | 400 | 9301 | Gateway Anti-Malware update is not supported on this Sensor |